import requests
url = "https://api.diga.io/v1/integration/{integration_id}/tool/{tool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"headers": {},
"method": "GET",
"type": "HTTP",
"description": "<string>",
"endpoint_path": "<string>",
"query": [],
"body": [],
"timeout": 5,
"approval_required": false,
"execution_audio": "waiting_music",
"pre_speech": "auto"
}Retrieve details of a specific tool. For HTTP integrations: use tool UUID. For MCP integrations: use tool ID (maps to name internally).
import requests
url = "https://api.diga.io/v1/integration/{integration_id}/tool/{tool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"headers": {},
"method": "GET",
"type": "HTTP",
"description": "<string>",
"endpoint_path": "<string>",
"query": [],
"body": [],
"timeout": 5,
"approval_required": false,
"execution_audio": "waiting_music",
"pre_speech": "auto"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Integration ID
Tool ID of the HTTP tool
Successful Response
The unique identifier for the tool
The name of the tool
The headers for the tool
Show child attributes
The HTTP method for the tool
GET, POST, PUT, DELETE, PATCH "HTTP"The description given to the agent to understand the tool
The URL to the endpoint of the tool
The query parameters for the tool
Show child attributes
The body parameters for the tool
Show child attributes
Timeout for the API to send a response
If true, the agent will ask for confirmation before executing
Background sound to play while the tool is executing
waiting_music, typing Whether agent should speak before executing: 'auto' or 'force'
auto, force